unit memoword_u;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    LoadButton: TButton;
    OpenDialog1: TOpenDialog;
    SaveButton: TButton;
    Memo1: TMemo;
    SaveDialog1: TSaveDialog;
    procedure LoadButtonClick(Sender: TObject);
    procedure SaveButtonClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.LoadButtonClick(Sender: TObject);
begin
  OpenDialog1.Execute;
  Memo1.Lines.LoadFromFile(OpenDialog1.FileName);
end;

procedure TForm1.SaveButtonClick(Sender: TObject);
begin
  SaveDialog1.Execute;
  Memo1.Lines.SaveToFile(SaveDialog1.FileName);
end;

end.

